## org.codehaus.groovy.grails.orm.hibernate.support
Class FlushOnRedirectEventListener

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.support.FlushOnRedirectEventListener

All Implemented Interfaces:
  RedirectEventListener

    public class FlushOnRedirectEventListener

extends Object
implements RedirectEventListener

Flushes the session on a redirect

Since:
  1.2
Author:
  Graeme Rocher

Constructor Summary
`FlushOnRedirectEventListener(org.hibernate.SessionFactory sf)`

Method Summary
`void` `responseRedirected(String url)` Called when the response is redirected

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlushOnRedirectEventListener

    public FlushOnRedirectEventListener(org.hibernate.SessionFactory sf)

Method Detail

### responseRedirected

    public void responseRedirected(String url)

  Description copied from interface: `RedirectEventListener`
  Called when the response is redirected

  Specified by:
    `responseRedirected` in interface `RedirectEventListener`
  Parameters:
    `url` - The URL or the redirect

Copyright (c) 2005-2009 The Grails project